### Method

# Gimp Procedure add_aux_argument_from_property

#### Declaration [src]

    GParamSpec*
    gimp_procedure_add_aux_argument_from_property (
      GimpProcedure* procedure,
      GObject* config,
      const gchar* prop_name
    )

#### Description [src]

Add a new auxiliary argument to `procedure` according to the specifications of the property `prop_name` registered on `config`.

See `gimp_procedure_add_aux_argument()` for details.

Available since: | 3.0

#### Parameters

`config` | `GObject`
| A `GObject`.
| The data is owned by the caller of the function.
`prop_name` | `const gchar*`
| Property name in `config`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `GParamSpec`
| The added `GParamSpec`.
| The data is owned by the instance.